<?php

namespace SugarCalendarBookings\Payments\Gateways;

use Exception;
use WP_Error;

/**
 * Class AbstractGatewaySettings.
 *
 * @since 1.0.0
 */
class BasePaymentGatewaySettings {

	/**
	 * Display content.
	 *
	 * @since 1.0.0
	 */
	public function display_content() {}

	/**
	 * Get post data processing rules.
	 *
	 * @since 1.0.0
	 *
	 * @return array
	 */
	public function get_post_data_processing_rules() {

		return [];
	}

	/**
	 * Handle oAuth connection requests.
	 *
	 * @since 1.0.0
	 *
	 * @throws Exception If connection fails.
	 */
	public function handle_connect() {}

	/**
	 * Handle oAuth disconnection requests.
	 *
	 * @since 1.0.0
	 *
	 * @throws Exception If disconnection fails.
	 */
	public function handle_disconnect() {}

	/**
	 * Display notices.
	 *
	 * @since 1.0.0
	 */
	public function display_notices() {}
}
